### Method

# AppStream Pool get_components_by_launchable

since: 0.11.4

#### Declaration [src]

    AsComponentBox*
    as_pool_get_components_by_launchable (
      AsPool* pool,
      AsLaunchableKind kind,
      const gchar* id
    )

#### Description [src]

Find components in the AppStream data pool which provide a specific launchable. See `AsLaunchable` for details on launchables, or refer to the AppStream specification.

Available since: 0.11.4

#### Parameters

`kind`

  Type: `AsLaunchableKind`

  An `AsLaunchableKind`.

`id`

  Type: `const gchar*`

  The ID of the launchable.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsComponentBox`

An `AsComponentBox` of found components.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.